Index: /trunk/src/usr.bin/mkubootimage/uboot.h
===================================================================
--- /trunk/src/usr.bin/mkubootimage/uboot.h	(revision 152)
+++ /trunk/src/usr.bin/mkubootimage/uboot.h	(revision 152)
@@ -0,0 +1,79 @@
+/* $NetBSD: uboot.h,v 1.3.2.2 2011/05/20 15:05:11 matt Exp $ */
+
+/*-
+ * Copyright (c) 2010 Jared D. McNeill <jmcneill@invisible.ca>
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. The name of the author may not be used to endorse or promote products
+ *    derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+ * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
+ * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+ * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ */
+
+#ifndef _HAVE_UBOOT_H
+#define _HAVE_UBOOT_H
+
+enum uboot_image_os {
+	IH_OS_UNKNOWN = 0,
+	IH_OS_OPENBSD = 1,
+	IH_OS_NETBSD = 2,
+	IH_OS_FREEBSD = 3,
+	IH_OS_LINUX = 5
+};
+
+enum uboot_image_arch {
+	IH_ARCH_UNKNOWN = 0,
+	IH_ARCH_ARM = 2,
+	IH_ARCH_MIPS = 5,
+	IH_ARCH_MIPS64 = 6,
+	IH_ARCH_PPC = 7
+};
+
+enum uboot_image_type {
+	IH_TYPE_UNKNOWN = 0,
+	IH_TYPE_STANDALONE = 1,
+	IH_TYPE_KERNEL = 2,
+	IH_TYPE_RAMDISK = 3,
+	IH_TYPE_FILESYSTEM = 7,
+};
+
+enum uboot_image_comp {
+	IH_COMP_NONE = 0,
+	IH_COMP_GZIP = 1,
+	IH_COMP_BZIP2 = 2,
+};
+
+#define IH_MAGIC	0x27051956
+#define IH_NMLEN	32
+
+struct uboot_image_header {
+	uint32_t	ih_magic;
+	uint32_t	ih_hcrc;
+	uint32_t	ih_time;
+	uint32_t	ih_size;
+	uint32_t	ih_load;
+	uint32_t	ih_ep;
+	uint32_t	ih_dcrc;
+	uint8_t		ih_os;
+	uint8_t		ih_arch;
+	uint8_t		ih_type;
+	uint8_t		ih_comp;
+	uint8_t		ih_name[IH_NMLEN];
+};
+
+#endif /* !_HAVE_UBOOT_H */
Index: /trunk/src/usr.bin/sort/fsort.c
===================================================================
--- /trunk/src/usr.bin/sort/fsort.c	(revision 151)
+++ /trunk/src/usr.bin/sort/fsort.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: fsort.c,v 1.32.12.1 2010/04/21 05:27:12 matt Exp $	*/
+/*	fsort.c,v 1.32.12.1 2010/04/21 05:27:12 matt Exp	*/
 
 /*-
@@ -73,5 +73,5 @@
 
 #ifndef lint
-__RCSID("$NetBSD: fsort.c,v 1.32.12.1 2010/04/21 05:27:12 matt Exp $");
+__RCSID("fsort.c,v 1.32.12.1 2010/04/21 05:27:12 matt Exp");
 __SCCSID("@(#)fsort.c	8.1 (Berkeley) 6/6/93");
 #endif /* not lint */
@@ -99,5 +99,5 @@
 	int max_recs = DEBUG('m') ? 16 : MAXNUM;
 
-	buffer = malloc(bufsize);
+	buffer = allocrec(NULL, bufsize);
 	bufend = (u_char *)buffer + bufsize;
 	/* Allocate double length keymap for radix_sort */
@@ -158,5 +158,5 @@
 			/* Allocate a larger buffer for this lot of data */
 			bufsize *= 2;
-			nbuffer = realloc(buffer, bufsize);
+			nbuffer = allocrec(buffer, bufsize);
 			if (!nbuffer) {
 				err(2, "failed to realloc buffer to %zu bytes",
Index: /trunk/src/usr.bin/sort/msort.c
===================================================================
--- /trunk/src/usr.bin/sort/msort.c	(revision 151)
+++ /trunk/src/usr.bin/sort/msort.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: msort.c,v 1.18.12.1 2010/04/21 05:27:12 matt Exp $	*/
+/*	msort.c,v 1.18.12.1 2010/04/21 05:27:12 matt Exp	*/
 
 /*-
@@ -66,5 +66,5 @@
 
 #ifndef lint
-__RCSID("$NetBSD: msort.c,v 1.18.12.1 2010/04/21 05:27:12 matt Exp $");
+__RCSID("msort.c,v 1.18.12.1 2010/04/21 05:27:12 matt Exp");
 __SCCSID("@(#)msort.c	8.1 (Berkeley) 6/6/93");
 #endif /* not lint */
@@ -210,5 +210,5 @@
 		cfile = &fstack[i];
 		if (cfile->rec == NULL) {
-			cfile->rec = emalloc(DEFLLEN);
+			cfile->rec = allocrec(NULL, DEFLLEN);
 			cfile->end = (u_char *)cfile->rec + DEFLLEN;
 		}
@@ -223,5 +223,5 @@
 				/* Double buffer size */
 				sz = (cfile->end - (u_char *)cfile->rec) * 2;
-				cfile->rec = erealloc(cfile->rec, sz);
+				cfile->rec = allocrec(cfile->rec, sz);
 				cfile->end = (u_char *)cfile->rec + sz;
 				continue;
@@ -249,5 +249,5 @@
 	 * list.
 	 */
-	new_rec = emalloc(DEFLLEN);
+	new_rec = allocrec(NULL, DEFLLEN);
 	new_end = (u_char *)new_rec + DEFLLEN;
 	for (;;) {
@@ -267,5 +267,5 @@
 			/* Buffer not large enough - double in size */
 			sz = (new_end - (u_char *)new_rec) * 2;
-			new_rec = erealloc(new_rec, sz);
+			new_rec = allocrec(new_rec, sz);
 			new_end = (u_char *)new_rec +sz;
 			continue;
Index: /trunk/src/usr.bin/sort/sort.c
===================================================================
--- /trunk/src/usr.bin/sort/sort.c	(revision 151)
+++ /trunk/src/usr.bin/sort/sort.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: sort.c,v 1.46.8.1 2010/04/21 05:27:12 matt Exp $	*/
+/*	$NetBSD: sort.c,v 1.46.8.2 2011/05/20 08:11:34 matt Exp $	*/
 
 /*-
@@ -78,5 +78,5 @@
 
 #ifndef lint
-__RCSID("$NetBSD: sort.c,v 1.46.8.1 2010/04/21 05:27:12 matt Exp $");
+__RCSID("$NetBSD: sort.c,v 1.46.8.2 2011/05/20 08:11:34 matt Exp $");
 __SCCSID("@(#)sort.c	8.1 (Berkeley) 6/6/93");
 #endif /* not lint */
@@ -406,2 +406,9 @@
 	exit(2);
 }
+
+RECHEADER *
+allocrec(RECHEADER *rec, size_t size)
+{
+
+	return (erealloc(rec, size + sizeof(long) - 1));
+}
Index: /trunk/src/usr.bin/sort/sort.h
===================================================================
--- /trunk/src/usr.bin/sort/sort.h	(revision 151)
+++ /trunk/src/usr.bin/sort/sort.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: sort.h,v 1.19.12.1 2010/04/21 05:27:12 matt Exp $	*/
+/*	$NetBSD: sort.h,v 1.19.12.2 2011/05/20 13:34:11 matt Exp $	*/
 
 /*-
@@ -175,4 +175,5 @@
 extern unsigned int debug_flags;
 
+RECHEADER *allocrec(RECHEADER *, size_t);
 void	 append(RECHEADER **, int, FILE *, void (*)(const RECHEADER *, FILE *));
 void	 concat(FILE *, FILE *);
Index: /trunk/src/usr.bin/xlint/arch/mips64/targparam.h
===================================================================
--- /trunk/src/usr.bin/xlint/arch/mips64/targparam.h	(revision 151)
+++ /trunk/src/usr.bin/xlint/arch/mips64/targparam.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: targparam.h,v 1.1 2006/08/25 23:35:04 matt Exp $	*/
+/*	$NetBSD: targparam.h,v 1.1.30.1 2011/04/29 09:35:37 matt Exp $	*/
 
 /*
@@ -50,5 +50,5 @@
 #define	FLOAT_SIZE		(4 * CHAR_BIT)
 #define	DOUBLE_SIZE		(8 * CHAR_BIT)
-#define	LDOUBLE_SIZE		(8 * CHAR_BIT)
+#define	LDOUBLE_SIZE		(16 * CHAR_BIT)
 
 #define	ENUM_SIZE		(4 * CHAR_BIT)
Index: /trunk/src/usr.sbin/pppd/pppd/tdb.h
===================================================================
--- /trunk/src/usr.sbin/pppd/pppd/tdb.h	(revision 151)
+++ /trunk/src/usr.sbin/pppd/pppd/tdb.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: tdb.h,v 1.1 2000/09/23 22:14:55 christos Exp $	*/
+/*	$NetBSD: tdb.h,v 1.1.1.1 2000/09/23 22:14:55 christos Exp $	*/
 
 #define STANDALONE	1
